gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Windows.WindowGroup

Contents

- Class Hierarchy
- Types
- Constructors
- Methods

Description

Limit the effect of grabs

Synopsis

- data WindowGroup
- class GObjectClass o => WindowGroupClass o
- castToWindowGroup :: GObjectClass obj => obj -> WindowGroup
- gTypeWindowGroup :: GType
- toWindowGroup :: WindowGroupClass o => o -> WindowGroup
- windowGroupNew :: IO WindowGroup
- windowGroupAddWindow :: (WindowGroupClass self, WindowClass window) => self -> window -> IO ()
- windowGroupRemoveWindow :: (WindowGroupClass self, WindowClass window) => self -> window -> IO ()
- windowGroupListWindows :: WindowGroupClass self => self -> IO [Window]

# Class Hierarchy

    | GObject
    | +----WindowGroup

# Types

data WindowGroup Source #

#### Instances

Instances details

Eq WindowGroup Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: WindowGroup -> WindowGroup -> Bool Source # (/=) :: WindowGroup -> WindowGroup -> Bool Source #
Ord WindowGroup Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: WindowGroup -> WindowGroup -> Ordering Source #

(<) :: WindowGroup -> WindowGroup -> Bool Source #

(<=) :: WindowGroup -> WindowGroup -> Bool Source #

(>) :: WindowGroup -> WindowGroup -> Bool Source #

(>=) :: WindowGroup -> WindowGroup -> Bool Source #

max :: WindowGroup -> WindowGroup -> WindowGroup Source #

min :: WindowGroup -> WindowGroup -> WindowGroup Source #

GObjectClass WindowGroup Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: WindowGroup -> GObject Source # unsafeCastGObject :: GObject -> WindowGroup Source #
WindowGroupClass WindowGroup Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class GObjectClass o => WindowGroupClass o Source #

#### Instances

Instances details

WindowGroupClass WindowGroup Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToWindowGroup :: GObjectClass obj => obj -> WindowGroup Source #

gTypeWindowGroup :: GType Source #

toWindowGroup :: WindowGroupClass o => o -> WindowGroup Source #

# Constructors

windowGroupNew :: IO WindowGroup Source #

Creates a new `WindowGroup` object. Grabs added with `grabAdd` only affect windows within the same `WindowGroup`.

# Methods

windowGroupAddWindow Source #

Arguments

:: (WindowGroupClass self, WindowClass window) |
=> self |
-> window | `window` - the `Window` to add
-> IO () |

Adds a window to a `WindowGroup`.

windowGroupRemoveWindow Source #

Arguments

:: (WindowGroupClass self, WindowClass window) |
=> self |
-> window | `window` - the `Window` to remove
-> IO () |

Removes a window from a `WindowGroup`.

windowGroupListWindows Source #

Arguments

:: WindowGroupClass self |
=> self | `windowGroup` - the window group
-> IO [Window] | returns the list of windows inside this group

Returns a list of the `Window`s that belong to `windowGroup`.

- Available since Gtk+ version 2.14